%define upstream_name    Dist-Zilla-Plugin-OurPkgVersion
%define upstream_version 0.08

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    No line insertion and does Package version with our
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Role::FileFinderUser)
BuildRequires: perl(Dist::Zilla::Role::FileMunger)
BuildRequires: perl(Dist::Zilla::Role::PPI)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(Moose)
BuildRequires: perl(MooseX::Types::Perl)
BuildRequires: perl(Pod::Eventual)
BuildRequires: perl(PPI)
BuildRequires: perl(Path::Class)
BuildRequires: perl(Test::DZil)
BuildRequires: perl(Test::More)
BuildRequires: perl(Test::Version) >= 0.40.0
BuildRequires: perl(blib) >= 1.10.0
BuildRequires: perl(namespace::autoclean)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module was created as an alternative to the
Dist::Zilla::Plugin::PkgVersion manpage and uses some code from that
module. This module is designed to use a the more readable format 'our
$VERSION = $version;' as well as not change then number of lines of code in
your files, which will keep your repository more in sync with your CPAN
release. It also allows you slightly more freedom in how you specify your
version.

EXAMPLES
    in dist.ini

    	...
    	version = 0.01;
    	[OurPkgVersion]

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Jun 19 2016 pterjan <pterjan> 0.80.0-2.mga6
+ Revision: 1026468
- Rebuild for perl 5.22.2

* Sat Apr 30 2016 shlomif <shlomif> 0.80.0-1.mga6
+ Revision: 1008032
- Add missing BR
- update to 0.08

* Fri Feb 19 2016 umeabot <umeabot> 0.60.0-2.mga6
+ Revision: 967738
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.60.0-1.mga6
+ Revision: 850195
- update to 0.06

* Wed Oct 15 2014 umeabot <umeabot> 0.5.1-3.mga5
+ Revision: 746451
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sat Feb 08 2014 sander85 <sander85> 0.5.1-1.mga5
+ Revision: 586532
- update to 0.005001

* Sat Oct 19 2013 umeabot <umeabot> 0.5.0-2.mga4
+ Revision: 534129
- Mageia 4 Mass Rebuild

* Sun Sep 08 2013 sander85 <sander85> 0.5.0-1.mga4
+ Revision: 476303
- update to 0.005000

* Sun Jan 13 2013 umeabot <umeabot> 0.4.0-2.mga3
+ Revision: 366315
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jun 05 2012 jquelin <jquelin> 0.4.0-1.mga3
+ Revision: 254890
- update to 0.004000

* Wed Jan 04 2012 jquelin <jquelin> 0.3.2-1.mga2
+ Revision: 190620
- update to 0.003002
- update to v0.3.0
- update to 0.1.9
- update to 0.1.8

* Fri Feb 25 2011 jquelin <jquelin> 0.1.5-1.mga1
+ Revision: 59758
- update to 0.1.5

* Wed Jan 26 2011 jquelin <jquelin> 0.1.2-1.mga1
+ Revision: 40512
- mageia rebuild
- imported package perl-Dist-Zilla-Plugin-OurPkgVersion

